> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monime.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payouts

> Retrieve a list of all payouts.



## OpenAPI

````yaml get /payouts
openapi: 3.0.3
info:
  title: Monime API
  description: Monime REST API. Please visit https://docs.momime.io/api for more details.
  termsOfService: https://monime.io/legal/terms-of-service
  contact:
    name: Monime Developers
    url: https://github.com/monimesl
    email: dev@monime.io
  version: '2024-08-01'
servers:
  - url: https://api.monime.io/
security:
  - bearerAuth: []
paths:
  /payouts:
    get:
      tags:
        - Payout
      summary: List Payouts
      description: Retrieve a list of all payouts.
      operationId: ListPayouts
      parameters:
        - name: after
          in: query
          description: >-
            This identifier retrieves the next items in the total result list
            that come just after it. Use it to get items that follows the object
            having this identifier in the overall list. This takes precedence
            over 'before'.
          schema:
            maxLength: 100
            type: string
            description: >-
              This identifier retrieves the next items in the total result list
              that come just after it. Use it to get items that follows the
              object having this identifier in the overall list. This takes
              precedence over 'before'.
            nullable: true
        - name: before
          in: query
          description: >-
            This identifier retrieves the next items in the total result list
            that comes just before it. Use it to get items that precede the
            object having this identifier in the overall list.
          schema:
            maxLength: 100
            type: string
            description: >-
              This identifier retrieves the next items in the total result list
              that comes just before it. Use it to get items that precede the
              object having this identifier in the overall list.
            nullable: true
        - name: limit
          in: query
          description: >-
            The maximum number of items per page that should be retrieved from
            the result list.
          schema:
            maximum: 50
            minimum: 1
            type: integer
            description: >-
              The maximum number of items per page that should be retrieved from
              the result list.
            default: 10
        - name: Monime-Space-Id
          in: header
          description: >-
            The value is the tenancy parameter that Monime used to determine
            which space the request is intended for.
          required: true
          schema:
            maxLength: 100
            pattern: ^spc-.*$
            type: string
            description: >-
              The value is the tenancy parameter that Monime used to determine
              which space the request is intended for.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Represents the status of the query operation, confirming
                      if it was successful. This field is always true
                  messages:
                    type: array
                    items: {}
                    description: >-
                      Contains a list of messages providing relevant information
                      or feedback related to the query or operation
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/Payout'
                    description: The list of items in the response
                    nullable: true
                  pagination:
                    type: object
                    properties:
                      count:
                        minimum: 0
                        type: integer
                        description: The number of items in this list response.
                      total:
                        minimum: 0
                        type: integer
                        description: >-
                          The estimated total number of items matching the
                          request.
                        nullable: true
                      next:
                        type: string
                        description: >-
                          This identifier marks the first item in this response
                          list when moving backward through the results, or the
                          last item when moving forward. Use this identifier
                          with the 'after' or 'before' query parameter in your
                          next request to get the items that come after or
                          before this item in the overall list respectively.
                        nullable: true
                    description: The pagination info associated with the response
components:
  schemas:
    Payout:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the payout object
        status:
          enum:
            - pending
            - processing
            - delayed
            - completed
            - failed
          type: string
          description: The status of the payout object.
        amount:
          type: object
          properties:
            currency:
              type: string
              description: >-
                The [3-letter](https://en.wikipedia.org/wiki/ISO_4217) ISO
                currency code.
            value:
              type: integer
              description: >-
                The value representation in the currency's minor unit. E.g. For
                1 Leone (SLE 1), the value should be 100, denoting cents, the
                minor unit.
          description: The monetary amount to payout to the destination
        source:
          type: object
          properties:
            financialAccountId:
              type: string
              description: >-
                The ID of the financial account where the amount was disbursed
                from.'
              nullable: true
            transactionReference:
              type: string
              description: >-
                The Monime transaction reference for describing the debiting of
                the amount and charges from the financial account.
              nullable: true
          description: The source of fund for the payout object.
        destination:
          type: object
          properties:
            providerCode:
              type: string
              description: The code for the provider as identified by Monime.
              nullable: true
            accountId:
              type: string
              description: >-
                The account ID of the account in the provider's ecosystem that
                the payout amount was disbursed to.
            transactionReference:
              type: string
              description: >-
                The transaction reference from the provider's ecosystem after
                the amount was disbursed.
              nullable: true
          description: The destination for the fund of the payout object.
        charges:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: The name of the charge object within Monime.
              amount:
                type: object
                properties:
                  currency:
                    type: string
                    description: >-
                      The [3-letter](https://en.wikipedia.org/wiki/ISO_4217) ISO
                      currency code.
                  value:
                    type: integer
                    description: >-
                      The value representation in the currency's minor unit.
                      E.g. For 1 Leone (SLE 1), the value should be 100,
                      denoting cents, the minor unit.
                description: >-
                  The amount of the charge that was applied on top of the payout
                  amount.
              metadata:
                maxProperties: 100
                type: object
                description: Further metadata describing the charge object.
                nullable: true
          description: The charges that applied to the payout.
          nullable: true
        delayedReason:
          type: string
          description: The reason when the payout is being delayed.
          nullable: true
        failureDetail:
          type: object
          properties:
            code:
              enum:
                - unknown
                - expired
                - providerUnknown
                - fundInsufficient
                - authorizationFailed
                - providerAccountBlocked
                - providerAccountMissing
                - providerAccountQuotaExhausted
              type: string
              description: The failure code.
            explanation:
              type: string
              description: An explanation of the failure code.
          description: The detail for the failed status.
          nullable: true
        createTime:
          type: string
          description: The creation time of the payout object.
          format: date-time
        metadata:
          maxProperties: 100
          type: object
          description: >-
            This holds key-value pairs, where both the keys and values are
            strings not exceeding 64 and 100 characters respectively. This
            allows for flexible and descriptive tagging or additional
            information to be associated with the object.
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication specified with the header Authorization:
        Bearer <access_token>

````